#!/bin/sh

cd $(dirname $0)
SCRIPTDIR=$(pwd)
echo $SCRIPTDIR

[ -z "$DISPLAY" ] && export DISPLAY=:0
[ -e /tmp/.X0-lock ] && export QT_QPA_PLATFORM=xcb
ulimit -c unlimited

# The IM modele is not used for the virtual keyboard
unset QT_IM_MODULE

LD_LIBRARY_PATH=$SCRIPTDIR/lib:$LD_LIBRARY_PATH \
PATH=$SCRIPTDIR:$PATH \
QTDIR=$SCRIPTDIR \
QT_PLUGIN_PATH=$SCRIPTDIR/plugins:$SCRIPTDIR:$SCRIPTDIR/imageformats \
       ./qvncviewer $@
